summaryrefslogtreecommitdiff
path: root/app-vim/covim/covim-20130619.ebuild
diff options
context:
space:
mode:
authoreroen2013-06-21 14:31:42 +0200
committereroen2013-06-21 14:31:42 +0200
commit0e71763f3f1f3cf6e405da77bf205b60367fcc82 (patch)
tree6c235a99540eb2f6b5f982b2f286b825c6e52340 /app-vim/covim/covim-20130619.ebuild
parentfa4c517daaf0804a9a5e6ff5c835cf8da235bd62 (diff)
downloaderoen-overlay-0e71763f3f1f3cf6e405da77bf205b60367fcc82.tar.gz
eroen-overlay-0e71763f3f1f3cf6e405da77bf205b60367fcc82.tar.bz2
eroen-overlay-0e71763f3f1f3cf6e405da77bf205b60367fcc82.tar.xz
covim - new package
Diffstat (limited to 'app-vim/covim/covim-20130619.ebuild')
-rw-r--r--app-vim/covim/covim-20130619.ebuild42
1 files changed, 42 insertions, 0 deletions
diff --git a/app-vim/covim/covim-20130619.ebuild b/app-vim/covim/covim-20130619.ebuild
new file mode 100644
index 00000000..bd051a4d
--- /dev/null
+++ b/app-vim/covim/covim-20130619.ebuild
@@ -0,0 +1,42 @@
+# By eroen, 2013
+# Distributed under the terms of the ISC licence
+# $Header: $
+
+EAPI=5
+PYTHON_COMPAT="python2_7"
+
+#VIM_PLUGIN_VIM_VERSION="7.0"
+inherit python-single-r1 vim-plugin git-2
+
+DESCRIPTION="Collaborative Editing for Vim"
+HOMEPAGE="https://github.com/FredKSchott/CoVim"
+LICENSE="MIT"
+IUSE=""
+SRC_URI=
+
+EGIT_REPO_URI="git://github.com/FredKSchott/CoVim.git"
+if ! [[ ${PV} == 99999999 ]]; then
+ KEYWORDS="~amd64"
+ EGIT_COMMIT=410a0a1f69c4c52555e6ee95e8b94ec1e8779351
+fi
+
+VIM_PLUGIN_HELPFILES="CoVim"
+VIM_PLUGIN_HELPTEXT=""
+VIM_PLUGIN_HELPURI=""
+VIM_PLUGIN_MESSAGES=""
+
+LDEPEND="
+ ${PYTHON_DEPS}
+ dev-python/twisted
+ app-editors/vim[python,${PYTHON_USEDEP}]"
+RDEPEND="${LDEPEND}"
+
+src_prepare() {
+ python_fix_shebang plugin/CoVimServer.py
+ rm LICENSE
+}
+
+src_install() {
+ vim-plugin_src_install
+ chmod ugo+x "${D}"/usr/share/vim/vimfiles/plugin/CoVimServer.py || die
+}